## xdelta3 0v2.dfsg

=== Makefile ===
# xdelta 3 - delta compression tools and library
# Copyright (C) 2001, 2003, 2004, 2005, 2006, 2007.  Joshua P. MacDonald

UNAME = $(shell uname)
CYGWIN = $(findstring CYGWIN, $(UNAME))
DARWIN = $(findstring Darwin, $(UNAME))
PYVER = 2.5

ifeq ("$(CYGWIN)", "")
SWIGTGT = xdelta3module.so
PYTGT = build/lib.linux-i686-$(PYVER)/xdelta3main.so
else
SWIGTGT = xdelta3module.dll
PYTGT = build/lib.cygwin-1.5.24-i686-$(PYVER)/xdelta3main.dll
endif

SOURCES = xdelta3-cfgs.h \
	  xdelta3-decode.h \
	  xdelta3-djw.h \
	  xdelta3-fgk.h \
	  xdelta3-hash.h \
	  xdelta3-list.h \
	  xdelta3-main.h \
	  xdelta3-merge.h \
	  xdelta3-python.h \
	  xdelta3-second.h \
	  xdelta3-test.h \
	  xdelta3.c \
	  xdelta3.h

TARGETS = xdelta3-debug \
	  xdelta3 \
	  xdelta3-debug2 \
	  xdelta3-debug3 \
	  xdelta3.o \
	  xdelta3_wrap.o \
	  xdelta3-32 \
	  xdelta3-64 \
	  xdelta3-everything \
	  xdelta3-Opg \
	  xdelta3-64-O \
	  xdelta3-Op \
	  xdelta3-decoder xdelta3-decoder-nomain.o \
	  xdelta3-nosec.o xdelta3-all.o xdelta3-fgk.o \
	  xdelta3-noext xdelta3-tools \
	  xdelta3-notools \
	  xdelta3_wrap.c xdelta3.py \
	  $(PYTGT) $(SWIGTGT) \
	  xdelta3-warnings

PYTHON = python

WIXDIR = "/cygdrive/c/Program Files/wix2.0.4820"

# -arch x86_64
CFLAGS= -Wall -Wshadow -fno-builtin
WFLAGS= -Wextra -Wsign-compare -Wconversion -Wextra -Wno-unused-parameter

# $Format: "REL=$Xdelta3Version$" $
REL=3.0v

RELDIR = xdelta$(REL)

EXTRA = Makefile COPYING linkxd3lib.c badcopy.c xdelta3.swig \
	draft-korn-vcdiff.txt xdelta3.vcproj badcopy.vcproj \
	xdelta3-regtest.py xdelta3-test.py setup.py \
	examples/Makefile examples/small_page_test.c \
	examples/README examples/encode_decode_test.c \
	examples/compare_test.c examples/speed_test.c \
	examples/test.h examples/checksum_test.cc \
	xdelta3.py xdelta3_wrap.c xdelta3.wxs xdelta3.wxi \
	testing/cmp.h testing/delta.h testing/file.h \
	testing/modify.h testing/random.h testing/segment.h \
	testing/sizes.h testing/test.h testing/Makefile \
	testing/regtest.cc README readme.txt

SWIG_FLAGS = -DXD3_DEBUG=1 \
	      -DEXTERNAL_COMPRESSION=0 \
	      -DXD3_USE_LARGEFILE64=1 \
	      -DGENERIC_ENCODE_TABLES=1 \
	      -DSECONDARY_DJW=1 \
	      -DVCDIFF_TOOLS=1 \
	      -DSWIG_MODULE=1

all: xdelta3-debug xdelta3

all-py: all $(PYTGT) $(SWIGTGT)

all-targets: $(TARGETS)

all-targets-test: all-targets test

pytgt: $(PYTGT)
swigtgt: $(SWIGTGT)

test:
	./xdelta3-debug test

tar:
	tar --exclude ".svn" -czf /tmp/$(RELDIR)-tmp.tar.gz $(SOURCES) $(EXTRA)
	rm -rf /tmp/$(RELDIR)
	mkdir /tmp/$(RELDIR)
	(cd /tmp/$(RELDIR) && tar -xzf ../$(RELDIR)-tmp.tar.gz)
	tar -czf ./$(RELDIR).tar.gz -C /tmp $(RELDIR)
	+tar -tzf ./$(RELDIR).tar.gz
	rm -rf /tmp/$(RELDIR)

zip:
	tar --exclude ".svn" -czf /tmp/$(RELDIR)-tmp.tar.gz $(SOURCES) $(EXTRA)
	rm -rf /tmp/$(RELDIR)
	mkdir /tmp/$(RELDIR)
	(cd /tmp/$(RELDIR) && tar -xzf ../$(RELDIR)-tmp.tar.gz)
	tar -czf ./$(RELDIR).tar.gz -C /tmp $(RELDIR)
	+zip -r $(RELDIR).zip /tmp/$(RELDIR)
	rm -rf /tmp/$(RELDIR)

clean:
	rm -f $(TARGETS)
	rm -rf build Debug Release core cifs* *.stackdump *.exe \
		xdelta3.ncb xdelta3.suo xdelta3.sln xdelta3.wixobj xdelta3.msi

wix: xdelta3.wxs xdelta3.wxi readme.txt Release\xdelta3.exe
	$(WIXDIR)/candle.exe xdelta3.wxs -out xdelta3.wixobj
	$(WIXDIR)/light.exe xdelta3.wixobj -out xdelta3.msi

xdelta3: $(SOURCES)
	$(CC) $(CFLAGS) -O3 xdelta3.c -lm -o xdelta3 \
	      -DGENERIC_ENCODE_TABLES=0 \
	      -DREGRESSION_TEST=1 \
	      -DSECONDARY_DJW=1 \
	      -DSECONDARY_FGK=1 \
	      -DXD3_DEBUG=0 \
	      -DXD3_MAIN=1 \
	      -DXD3_POSIX=1 \
	      -DXD3_USE_LARGEFILE64=1

xdelta3-debug: $(SOURCES)
	$(CC) -g $(CFLAGS) xdelta3.c -lm -o xdelta3-debug \
		-DGENERIC_ENCODE_TABLES=1 \
		-DREGRESSION_TEST=1 \
		-DSECONDARY_DJW=1 \
		-DSECONDARY_FGK=1 \
		-DXD3_DEBUG=1 \
		-DXD3_MAIN=1 \
		-DXD3_STDIO=1 \
		-DXD3_USE_LARGEFILE64=1

xdelta3-warnings: $(SOURCES)
	$(CC) -g $(CFLAGS) $(WFLAGS) xdelta3.c -lm -o xdelta3-warnings \
		-DGENERIC_ENCODE_TABLES=1 \
		-DREGRESSION_TEST=1 \
		-DSECONDARY_DJW=1 \
		-DSECONDARY_FGK=1 \
		-DXD3_DEBUG=1 \
		-DXD3_MAIN=1 \
		-DXD3_STDIO=1 \
		-DXD3_USE_LARGEFILE64=1

xdelta3-32: $(SOURCES)
	$(CC) -g $(CFLAGS) xdelta3.c -lm -o xdelta3-32 \
	      -DXD3_DEBUG=1 \
	      -DXD3_USE_LARGEFILE64=0 \
	      -DREGRESSION_TEST=1 \
	      -DSECONDARY_DJW=1 \
	      -DSECONDARY_FGK=1 \
	      -DXD3_MAIN=1 \
	      -DXD3_POSIX=1

xdelta3-debug2: $(SOURCES)
	$(CC) -g $(CFLAGS) \
		xdelta3.c -o xdelta3-debug2 \
		-DXD3_DEBUG=2 \
		-DXD3_MAIN=1 \
		-DXD3_STDIO=1 \
		-DXD3_USE_LARGEFILE64=1 \
		-DGENERIC_ENCODE_TABLES=1 \
		-DREGRESSION_TEST=1 \
		-DSECONDARY_DJW=1 \
		-DSECONDARY_FGK=1 \
		-lm

xdelta3-debug3: $(SOURCES)
	$(CC) -g $(CFLAGS) xdelta3.c -o xdelta3-debug3 \
		-DXD3_MAIN=1 \
		-DGENERIC_ENCODE_TABLES=1 \
		-DXD3_USE_LARGEFILE64=1 \
		-DXD3_STDIO=1 \
		-DREGRESSION_TEST=1 \
		-DXD3_DEBUG=3 \
		-DSECONDARY_DJW=1 \
		-DSECONDARY_FGK=1 \
		-lm

$(PYTGT): $(SOURCES) setup.py
	$(PYTHON) setup.py install --verbose --compile --force

xdelta3_wrap.c xdelta3.py: xdelta3.swig
	swig -python xdelta3.swig

xdelta3.o: $(SOURCES)
	$(CC) -O3 $(CFLAGS) -c xdelta3.c $(SWIG_FLAGS) -o xdelta3.o

xdelta3_wrap.o: xdelta3_wrap.c
	$(CC) -O3 $(CFLAGS) $(SWIG_FLAGS) \
	      -DHAVE_CONFIG_H \
	      -I/usr/include/python$(PYVER) \
	      -I/usr/lib/python$(PYVER)/config \
	      -fpic \
	      -c xdelta3_wrap.c

xdelta3module.dll: xdelta3_wrap.o xdelta3.o
	gcc -shared -Wl,--enable-auto-image-base \
		xdelta3.o \
		xdelta3_wrap.o \
		-L/usr/lib/python$(PYVER)/config \
		-lpython$(PYVER) \
		-o xdelta3module.dll
	cp $(SWIGTGT) /usr/lib/python$(PYVER)/site-packages

ifeq ("$(DARWIN)", "")
xdelta3module.so: xdelta3_wrap.o xdelta3.o
	ld -shared xdelta3.o xdelta3_wrap.o \
		-o xdelta3module.so \
		/usr/lib/libpython$(PYVER).so \
		-lc
else
xdelta3module.so: xdelta3_wrap.o xdelta3.o
	gcc -Wl,-F. -bundle -undefined dynamic_lookup $(CFLAGS) \
		xdelta3.o xdelta3_wrap.o -o xdelta3module.so
endif

xdelta3-decoder: $(SOURCES)
	$(CC) -O3 -Wall -Wshadow xdelta3.c \
	    -DXD3_ENCODER=0 -DXD3_MAIN=1 -DSECONDARY_FGK=0 -DSECONDARY_DJW=0 \
	    -DXD3_STDIO=1 -DEXTERNAL_COMPRESSION=0 -DVCDIFF_TOOLS=0 \
	    -o xdelta3-decoder

xdelta3-decoder-nomain.o: $(SOURCES) linkxd3lib.c
	$(CC) -O3 -Wall -Wshadow xdelta3.c linkxd3lib.c \
	    -DXD3_ENCODER=0 -DSECONDARY_FGK=0 -DSECONDARY_DJW=0 \
	    -o xdelta3-decoder-nomain.o
	strip xdelta3-decoder-nomain.o

xdelta3-O++: $(SOURCES)
	$(CXX) -g -O3 $(CFLAGS) xdelta3.c \
		-o xdelta3-O++ \
		-DXD3_MAIN=1 \
		-DSECONDARY_DJW=1 \
		-DREGRESSION_TEST=1 \
		-lm

xdelta3-Op: $(SOURCES)
	$(CC) -g -O3 $(CFLAGS) xdelta3.c \
		-o xdelta3-Op \
		-DXD3_POSIX=1 \
		-DXD3_MAIN=1 \
		-DREGRESSION_TEST=1 \
		-lm

xdelta3-64: $(SOURCES)
	$(CC) -g $(CFLAGS) \
		xdelta3.c \
		-o xdelta3-64 \
		-DXD3_POSIX=1 \
		-DXD3_MAIN=1 \
		-DREGRESSION_TEST=1 \
		-DXD3_DEBUG=0 \
		-DXD3_USE_LARGEFILE64=1 \
		-lm

xdelta3-64-O: $(SOURCES)
	$(CC) -O3 $(CFLAGS) \
		xdelta3.c \
		-o xdelta3-64-O \
		-DXD3_POSIX=1 \
		-DXD3_MAIN=1 \
		-DXD3_USE_LARGEFILE64=1 \
		-lm

xdelta3-everything: $(SOURCES)
	$(CC) -g $(CFLAGS) \
		xdelta3.c \
		-o xdelta3-everything \
		-DXD3_MAIN=1 \
		-DVCDIFF_TOOLS=1 \
		-DREGRESSION_TEST=1 \
		-DSECONDARY_FGK=1 \
		-DSECONDARY_DJW=1 \
		-DGENERIC_ENCODE_TABLES=1 \
		-DGENERIC_ENCODE_TABLES_COMPUTE=1 \
		-DXD3_POSIX=1 \
		-DEXTERNAL_COMPRESSION=1 \
		-DXD3_DEBUG=1 \
		-lm

xdelta3-Opg: $(SOURCES)
	$(CC) -pg -g -O3 $(CFLAGS) \
		xdelta3.c \
		-o xdelta3-Opg \
		-DXD3_MAIN=1 \
		-DSECONDARY_DJW=1 \
		-DSECONDARY_FGK=1 \
		-DXD3_POSIX=1 \
		-DXD3_USE_LARGEFILE64=1 \
		-DREGRESSION_TEST=1

xdelta3-nosec.o: $(SOURCES)
	$(CC) -O3 $(CFLAGS) -c xdelta3.c -DSECONDARY_FGK=0 -DSECONDARY_DJW=0 -o xdelta3-nosec.o

xdelta3-all.o: $(SOURCES)
	$(CC) -O3 $(CFLAGS) -c xdelta3.c -DSECONDARY_FGK=1 -DSECONDARY_DJW=1 -o xdelta3-all.o

xdelta3-fgk.o: $(SOURCES)
	$(CC) -O3 $(CFLAGS) -c xdelta3.c -DSECONDARY_FGK=1 -DSECONDARY_DJW=0 -o xdelta3-fgk.o

xdelta3-noext: $(SOURCES)
	$(CC) -O3 $(CFLAGS) xdelta3.c -DXD3_MAIN=1 -DEXTERNAL_COMPRESSION=0 -o xdelta3-noext

xdelta3-tools: $(SOURCES)
	$(CC) -O3 $(CFLAGS) xdelta3.c -DXD3_MAIN=1 -o xdelta3-tools

xdelta3-notools: $(SOURCES)
	$(CC) -O3 $(CFLAGS) xdelta3.c -DXD3_MAIN=1 -DVCDIFF_TOOLS=0 -o xdelta3-notools

=== examples/Makefile ===
CFLAGS = -g -Wall -I.. -DXD3_DEBUG=1 -DNDEBUG=0
#CFLAGS = -O3 -Wall -I.. -DXD3_DEBUG=0 -fno-builtin -DNDEBUG=1
# -pg

SOURCES = small_page_test.c encode_decode_test.c speed_test.c

DEPS = ../*.h ../*.c *.h

TARGETS = small_page_test encode_decode_test speed_test32 speed_test64 compare_test checksum_test

all: $(TARGETS)

small_page_test: small_page_test.c $(DEPS)
	$(CC) $(CFLAGS) small_page_test.c -o small_page_test -DXD3_USE_LARGEFILE64=0 -DSECONDARY_DJW=1

encode_decode_test: encode_decode_test.c $(DEPS)
	$(CC) $(CFLAGS) encode_decode_test.c -o encode_decode_test

speed_test32: speed_test.c $(DEPS)
	$(CC) $(CFLAGS) -DXD3_USE_LARGEFILE64=0 speed_test.c -o speed_test32

speed_test64: speed_test.c $(DEPS)
	$(CC) $(CFLAGS) -DXD3_USE_LARGEFILE64=1 speed_test.c -o speed_test64

compare_test: compare_test.c
	$(CC) $(CFLAGS) compare_test.c -o compare_test

checksum_test: checksum_test.cc
	$(CXX) $(CFLAGS) checksum_test.cc -o checksum_test

clean:
	rm -f *.exe *.stackdump $(TARGETS)

=== testing/Makefile ===
CFLAGS = -g -Wall -Wconversion -Wsign-compare -Wextra -Wno-unused-parameter -I.. -DXD3_DEBUG=1 \
	      -DGENERIC_ENCODE_TABLES=1 \
	      -DSECONDARY_DJW=1 \
	      -DSECONDARY_FGK=1 \
	      -DXD3_USE_LARGEFILE64=1

#CFLAGS = -g -Wall -I.. -DXD3_DEBUG=2
#CFLAGS = -O2 -Wall -I.. -DXD3_DEBUG=0 -DNDEBUG=1

DEPS = ../*.h ../*.c *.cc *.h

TARGETS = xdelta3-regtest

all: $(TARGETS)

xdelta3-regtest: $(DEPS)
	$(CXX) $(CFLAGS) regtest.cc -o xdelta3-regtest

clean:
	rm -f *.exe *.stackdump $(TARGETS)

## xdelta3 0y.dfsg

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 UNAME = $(shell uname)
 CYGWIN = $(findstring CYGWIN, $(UNAME))
 DARWIN = $(findstring Darwin, $(UNAME))
-PYVER = 2.5
+PYVER = 2.6
 
 ifeq ("$(CYGWIN)", "")
 SWIGTGT = xdelta3module.so
-PYTGT = build/lib.linux-i686-$(PYVER)/xdelta3main.so
+PYTGT = build/lib.macosx-10.6-universal-2.6/xdelta3main.so
 else
 SWIGTGT = xdelta3module.dll
 PYTGT = build/lib.cygwin-1.5.24-i686-$(PYVER)/xdelta3main.dll
@@ -31,7 +31,7 @@
 TARGETS = xdelta3-debug \
 	  xdelta3 \
 	  xdelta3-debug2 \
-	  xdelta3-debug3 \
+	  xdelta3-debugstdio \
 	  xdelta3.o \
 	  xdelta3_wrap.o \
 	  xdelta3-32 \
@@ -57,13 +57,13 @@
 WFLAGS= -Wextra -Wsign-compare -Wconversion -Wextra -Wno-unused-parameter
 
 # $Format: "REL=$Xdelta3Version$" $
-REL=3.0v
+REL=3.0y
 
 RELDIR = xdelta$(REL)
 
 EXTRA = Makefile COPYING linkxd3lib.c badcopy.c xdelta3.swig \
 	draft-korn-vcdiff.txt xdelta3.vcproj badcopy.vcproj \
-	xdelta3-regtest.py xdelta3-test.py setup.py \
+	testing/xdelta3-regtest.py xdelta3-test.py setup.py \
 	examples/Makefile examples/small_page_test.c \
 	examples/README examples/encode_decode_test.c \
 	examples/compare_test.c examples/speed_test.c \
@@ -72,7 +72,7 @@
 	testing/cmp.h testing/delta.h testing/file.h \
 	testing/modify.h testing/random.h testing/segment.h \
 	testing/sizes.h testing/test.h testing/Makefile \
-	testing/regtest.cc README readme.txt
+	testing/regtest.cc README readme.txt xdelta3.1
 
 SWIG_FLAGS = -DXD3_DEBUG=1 \
 	      -DEXTERNAL_COMPRESSION=0 \
@@ -82,7 +82,8 @@
 	      -DVCDIFF_TOOLS=1 \
 	      -DSWIG_MODULE=1
 
-all: xdelta3-debug xdelta3
+all: xdelta3-debug xdelta3-debug2 xdelta3
+	(cd testing && make)
 
 all-py: all $(PYTGT) $(SWIGTGT)
 
@@ -116,7 +117,7 @@
 
 clean:
 	rm -f $(TARGETS)
-	rm -rf build Debug Release core cifs* *.stackdump *.exe \
+	rm -rf build Debug Release core cifs* *.stackdump *.exe *~ *.dSYM \
 		xdelta3.ncb xdelta3.suo xdelta3.sln xdelta3.wixobj xdelta3.msi
 
 wix: xdelta3.wxs xdelta3.wxi readme.txt Release\xdelta3.exe
@@ -142,7 +143,7 @@
 		-DSECONDARY_FGK=1 \
 		-DXD3_DEBUG=1 \
 		-DXD3_MAIN=1 \
-		-DXD3_STDIO=1 \
+		-DXD3_POSIX=1 \
 		-DXD3_USE_LARGEFILE64=1
 
 xdelta3-warnings: $(SOURCES)
@@ -171,22 +172,22 @@
 		xdelta3.c -o xdelta3-debug2 \
 		-DXD3_DEBUG=2 \
 		-DXD3_MAIN=1 \
+		-DXD3_POSIX=1 \
+		-DXD3_USE_LARGEFILE64=1 \
+		-DGENERIC_ENCODE_TABLES=1 \
+		-DREGRESSION_TEST=1 \
+		-DSECONDARY_DJW=1 \
+		-DSECONDARY_FGK=1 \
+		-lm
+
+xdelta3-debugstdio: $(SOURCES)
+	$(CC) -g $(CFLAGS) xdelta3.c -o xdelta3-debugstdio \
+		-DXD3_MAIN=1 \
+		-DGENERIC_ENCODE_TABLES=1 \
+		-DXD3_USE_LARGEFILE64=1 \
 		-DXD3_STDIO=1 \
-		-DXD3_USE_LARGEFILE64=1 \
-		-DGENERIC_ENCODE_TABLES=1 \
-		-DREGRESSION_TEST=1 \
-		-DSECONDARY_DJW=1 \
-		-DSECONDARY_FGK=1 \
-		-lm
-
-xdelta3-debug3: $(SOURCES)
-	$(CC) -g $(CFLAGS) xdelta3.c -o xdelta3-debug3 \
-		-DXD3_MAIN=1 \
-		-DGENERIC_ENCODE_TABLES=1 \
-		-DXD3_USE_LARGEFILE64=1 \
-		-DXD3_STDIO=1 \
-		-DREGRESSION_TEST=1 \
-		-DXD3_DEBUG=3 \
+		-DREGRESSION_TEST=1 \
+		-DXD3_DEBUG=1 \
 		-DSECONDARY_DJW=1 \
 		-DSECONDARY_FGK=1 \
 		-lm
@@ -225,7 +226,8 @@
 		-lc
 else
 xdelta3module.so: xdelta3_wrap.o xdelta3.o
-	gcc -Wl,-F. -bundle -undefined dynamic_lookup $(CFLAGS) \
+	gcc-4.2 -Wl,-F. -bundle -undefined dynamic_lookup \
+		-arch x86_64 $(CFLAGS) \
 		xdelta3.o xdelta3_wrap.o -o xdelta3module.so
 endif

=== debian/changelog ===
xdelta3 (0y.dfsg-1+deb6u1) squeeze-lts; urgency=high

  * CVE-2014-9765: Fix buffer overflow in main_get_appheader (Closes: #814067)

 -- Chris Lamb <lamby@debian.org>  Tue, 16 Feb 2016 11:21:13 +0100

xdelta3 (0y.dfsg-1) unstable; urgency=low

  * New upstream release.
    - Can read source from pipe/fifo , new -B option.
    - Has manpage (thanks Leo (costela) Antunes) 
  * Convert to 3.0 (quilt) source format
  * Correct lintian warnings:
    - Update standards version,
    - add misc:Depends

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 22 Feb 2010 21:59:03 +0100

xdelta3 (0s.dfsg-1) unstable; urgency=low

  * New upstream release

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 19 Nov 2007 13:37:26 +0100

xdelta3 (0q.dfsg-2) unstable; urgency=low

  * Bug fix: "xdelta3: FTBFS: Not using -fPIC to create shared object.",
    thanks to Kurt Roeckx (Closes: #439656).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 26 Aug 2007 16:06:58 +0200

xdelta3 (0q.dfsg-1) unstable; urgency=low

  * Initial Release  (Closes: #433774)

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 26 Jul 2007 14:43:12 +0200

=== debian/control ===
Source: xdelta3
Section: utils
Priority: optional
XS-Python-Version: all
Maintainer: A Mennucc1 <mennucc1@debian.org>
Build-Depends: debhelper (>= 5), cdbs, python-central (>= 0.5), python-all-dev
Standards-Version: 3.8.4.0

Package: xdelta3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A diff utility which works with binary files
 Xdelta3 is a set of tools designed to compute changes between
 binary files.  These changes (delta files) are similar to the output of the
 "diff" program, in that they may be used to store and transmit only the
 changes between files.  The "delta files" that Xdelta3 manages are
 stored in RFC3284 (VCDIFF) format.

Package: python-xdelta3
Architecture: any
Section: python
Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
XB-Python-Version: ${python:Versions}
Provides: ${python:Provides}
Description: Xdelta3 python module
 Xdelta3 is a set of tools designed to compute changes between
 binary files.  These changes (delta files) are similar to the output of the
 "diff" program, in that they may be used to store and transmit only the
 changes between files.  The "delta files" that Xdelta3 manages are
 stored in RFC3284 (VCDIFF) format. 
 .
 This is the python module.

=== debian/rules ===
#!/usr/bin/make -f
#this file was shamelessly copied and adapted from python-imaging 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS=$(shell pyversions -vr)
PYVER   := $(shell python -c 'import sys; print sys.version[:3]')


clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp xdelta3 *.o *.so
	rm -rf compile build
	find -name '*.py[co]' -or -name semantic.cache -exec rm -f {} \;
	dh_clean

build:
	make xdelta3

install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%:
	make xdelta3module.so PYVER=$*
	mkdir -p debian/python-xdelta3/usr/lib/python$*/site-packages
	install -o root -g root -m 644 \
		xdelta3module.so xdelta3.py \
                debian/python-xdelta3/usr/lib/python$*/site-packages
	rm  -f 	*.o *.so 


install: build install-prereq $(PYVERS:%=install-python%)
	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs -i
	dh_pycentral -i
	dh_link -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_install -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
#	dh_installmenu -a
	dh_installman -a xdelta3.1
#	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs -a
	dh_pycentral -a -ppython-xdelta3
	dh_strip -a
	dh_link -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch
# no binary-indep so far
.PHONY: build clean binary-indep binary-arch binary install

## xdelta3 3.0.0.dfsg

=== debian/changelog ===
xdelta3 (3.0.0.dfsg-1ubuntu1) raring; urgency=low

  * Made build infrastructure multiarch-Python-aware, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 11 Apr 2013 16:52:51 -0400

xdelta3 (3.0.0.dfsg-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:15:49 +0000

xdelta3 (3.0.0.dfsg-1) unstable; urgency=low

  * New upstream release, "3.0 is a stable release series"
  * Remove unused build-dependency 'cdbs'
  * Thanks Luca for NMU

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 29 May 2011 22:59:32 +0200

xdelta3 (0y.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert package to dh_python2 (Closes: #617151).
    + debian/control:
      - Build-depend on python-all-dev (>= 2.6.6-3~).
      - Drop python-central from Build-Depends.
      - Define X-Python-Version field.
      - Drop XB-Python-Version field.
    + debian/pycompat:
      - Useless, removed.
    + debian/rules:
      - Replace dh_pycentral with dh_python2.
  * debian/patches/unversioned_shebangs.diff:
    - Do not use versioned shebangs (Closes: #625751).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 08 May 2011 13:28:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: utils
 Priority: optional
 XS-Python-Version: all
-Maintainer: A Mennucc1 <mennucc1@debian.org>
-Build-Depends: debhelper (>= 5), cdbs, python-central (>= 0.5), python-all-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Build-Depends: debhelper (>= 5), python-all-dev (>= 2.6.6-3~), dpkg-dev (>= 1.16.0)
+X-Python-Version: >= 2.5
 Standards-Version: 3.8.4.0
 
 Package: xdelta3
@@ -20,7 +22,6 @@
 Architecture: any
 Section: python
 Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Description: Xdelta3 python module
  Xdelta3 is a set of tools designed to compute changes between

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 PYVERS=$(shell pyversions -vr)
 PYVER   := $(shell python -c 'import sys; print sys.version[:3]')
@@ -61,7 +63,7 @@
 #	dh_installinfo -i
 #	dh_undocumented -i
 	dh_installchangelogs -i
-	dh_pycentral -i
+	dh_python2 -i
 	dh_link -i
 	dh_compress -i -X.py
 	dh_fixperms -i
@@ -83,7 +85,7 @@
 #	dh_installinfo -a
 #	dh_undocumented -a
 	dh_installchangelogs -a
-	dh_pycentral -a -ppython-xdelta3
+	dh_python2 -a -ppython-xdelta3
 	dh_strip -a
 	dh_link -a
 	dh_compress -a -X.py

## xdelta3 3.0.7

=== examples/Makefile ===
--- 
+++ 
@@ -29,4 +29,4 @@
 	$(CXX) $(CFLAGS) checksum_test.cc -o checksum_test
 
 clean:
-	rm -f *.exe *.stackdump $(TARGETS)
+	rm -r -f *.exe *.stackdump $(TARGETS) *.dSYM *~

## xdelta3 3.0.7-dfsg

=== debian/changelog ===
xdelta3 (3.0.7-dfsg-2ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in main_get_appheader
    - debian/patches/CVE-2014-9765.patch: add check to xdelta3-main.h, add
      test to xdelta3-test.h.
    - CVE-2014-9765
  * debian/patches/fix_lzma_test.patch: fix lzma test so we can run the
    builtin tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Feb 2016 08:10:41 -0500

xdelta3 (3.0.7-dfsg-2) unstable; urgency=low

  * fix FTBFS in testing/regtest.cc
  * add liblzma to build dependencies
  * fix compiling warnings

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 17 Jun 2013 08:56:43 +0200

xdelta3 (3.0.7-dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #691337).
  * Switch build system to CDBS
  * Drop 'python-xdelta3' package, currently broken.
  * Bump standards version.

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 09 Jun 2013 12:08:02 +0200

=== debian/control ===
Source: xdelta3
Section: utils
Priority: optional
XS-Python-Version: all
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
Build-Depends: cdbs, debhelper, liblzma-dev
Standards-Version: 3.9.4

Package: xdelta3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Diff utility which works with binary files
 Xdelta3 is a set of tools designed to compute changes between
 binary files.  These changes (delta files) are similar to the output of the
 "diff" program, in that they may be used to store and transmit only the
 changes between files.  The "delta files" that Xdelta3 manages are
 stored in RFC3284 (VCDIFF) format.

## xdelta3 3.0.8-dfsg

=== debian/changelog ===
xdelta3 (3.0.8-dfsg-1ubuntu2) xenial; urgency=medium

  * debian/patches/fix_lzma_test.patch: fix lzma test so we can run the
    builtin tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Feb 2016 08:33:32 -0500

xdelta3 (3.0.8-dfsg-1ubuntu1) xenial; urgency=medium

  * SECURITY UPDATE: buffer overflow in main_get_appheader
    - debian/patches/CVE-2014-9765.patch: add check to xdelta3-main.h, add
      test to xdelta3-test.h.
    - CVE-2014-9765

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Feb 2016 10:45:04 -0500

xdelta3 (3.0.8-dfsg-1) unstable; urgency=low

  * new upstream release (only minor changes)
  * Bug fix: "Please add watch file", thanks to Dmitry Shachnev (Closes:
    #735273).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 20 Feb 2014 12:20:22 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

=== debian/watch ===
version=3
opts=dversionmangle=s/\-dfsg// \
http://code.google.com/p/xdelta/downloads/list?can=1 .*/xdelta3-(\d\S*)\.tar\.(?:gz|xz)

## xdelta3 3.0.11-dfsg

=== debian/changelog ===
xdelta3 (3.0.11-dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Test-Depends: liblzma-dev

 -- Andreas Tille <tille@debian.org>  Fri, 25 Feb 2022 21:44:37 +0100

xdelta3 (3.0.11-dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jeremy Bicha ]
  * clean up packaging
    Closes: #895957, #965883

  [ Andreas Tille ]
  * Create Git repository on Salsa and add Vcs fields
  * Trim trailing whitespace.
  * Fill in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Add debian/salsa-ci.yml
  * DEP5
  * debhelper 13
  * Add watch file
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 24 Feb 2022 11:03:55 +0100

xdelta3 (3.0.11-dfsg-1) unstable; urgency=medium

  * New upstream release;
    -  disable obsolete debian patches : regtest_size_t  printf_uint64
	  Q_not_u CVE-2014-9765.patch fix_lzma_test.patch
    -  refreshed patch : manpage_lzma
    -  kept patch :  unversioned_shebangs.diff
  * Deleted obsolete watch file
  * Bump standards version
  * Solves "upstream has some bugfixes for 3.0.8 release.", thanks to
    shirish शिरीष (Closes: #779976).

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 27 Feb 2016 11:40:46 +0100

xdelta3 (3.0.8-dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update CVE-2014-9765.patch.
    Add as well tests that the default appheader works.
  * Fix LZMA tests (Closes: #740284)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 Feb 2016 13:23:39 +0100

xdelta3 (3.0.8-dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2014-9765: buffer overflow in main_get_appheader (Closes: #814067)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Feb 2016 21:33:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xdelta3
 Section: utils
 Priority: optional
-XS-Python-Version: all
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
-Build-Depends: cdbs, debhelper, liblzma-dev
-Standards-Version: 3.9.4
+Maintainer: A Mennucc1 <mennucc1@debian.org>
+Build-Depends: debhelper-compat (= 13), liblzma-dev
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/debian/xdelta3
+Vcs-Git: https://salsa.debian.org/debian/xdelta3.git
+Homepage: http://xdelta.org/
 
 Package: xdelta3
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	./xdelta3regtest
endif

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, liblzma-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/jmacd/xdelta/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
